Status: New Start date: 19 Oct 2020

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Improving Estimated time: 0.00 hour

Target version: CoCoALib-0.99880 Spent time: 0.30 hour

Description

Issue #1118 exhibits a slug due to "stupid" conversion from a sparse multivariate poly to a dense univariate poly.

Make a better test for univariate-ness, and a better conversion.

The idea is that if a poly is of the form f(x,y,z) = x^e * g(x^d)

then the univariate-ness test produces also the exponents d and e (and then conversion to DUP can take these values to make a

more compact DUP image).

This should solve #1118, and perhaps also make cyclotomic faster(?)

Related issues:

Related to CoCoALib - Slug #1118: SLUG: factorization of x^9999 In Progress 08 Nov 2017

History

#1 - 19 Oct 2020 14:48 - John Abbott

- Related to Slug #1118: SLUG: factorization of x^9999 added

#2 - 16 Feb 2024 21:31 - John Abbott

Assuming we do implement this, what should its UI be?

Do we already have a function which converts from SparsePolyRing elem to DenseUPolyRing elem?

Do we also do simultaneous conversion of coefficients? e.g. from QQ to ZZ (assuming all denoms are 1)?

#3 - 16 Mar 2024 21:38 - John Abbott

- Target version changed from CoCoALib-0.99850 to CoCoALib-0.99880
